Page MenuHomePhabricator

Rename ExpandISelPseudo->FinalizeISel, delay register reservation
ClosedPublic

Authored by arsenm on Apr 27 2017, 5:52 PM.

Details

Summary

This allows targets to make more decisions about reserved registers
after isel. For example, now it should be certain there are calls or
stack objects in the frame or not, which could have been introduced by
legalization.

Diff Detail

Event Timeline

MatzeB created this revision.Apr 27 2017, 5:52 PM
arsenm commandeered this revision.May 31 2019, 6:06 AM
arsenm edited reviewers, added: MatzeB; removed: arsenm.
Herald added a project: Restricted Project. · View Herald TranscriptMay 31 2019, 6:06 AM
arsenm updated this revision to Diff 202422.May 31 2019, 6:07 AM

Rebase. Defer first verifier until after FinalizeISel

bogner added a comment.Jun 5 2019, 4:38 PM

So if I'm reading this right this just basically just delays TLI->finalizeLowering to the end of ExpandISelPseudos/FinalizeISel. Is there motivation to this other than it makes more logical sense to freeze registers as close to regalloc as possible?

Could you update the summary to explain what this is about?

arsenm edited the summary of this revision. (Show Details)Jun 6 2019, 6:49 AM
bogner accepted this revision.Jun 18 2019, 3:57 PM
This revision is now accepted and ready to land.Jun 18 2019, 3:57 PM
arsenm closed this revision.Jun 18 2019, 5:22 PM

r363757